Loading...
Searching...
No Matches
websocketpp::exception Class Reference
Inheritance diagram for websocketpp::exception:

## Public Member Functions

| exception (std::string const &msg, lib::error_code ec=make_error_code(error::general))
| exception (lib::error_code ec)
virtual char const * | what () const throw ()
lib::error_code | code () const throw ()

## Public Attributes

const std::string | m_msg
lib::error_code | m_code

## Detailed Description

Definition at line 256 of file error.hpp.

## Constructor & Destructor Documentation

## exception() [1/2]

websocketpp::exception::exception | ( | std::string const & | msg,
|  | lib::error_code | ec = make_error_code(error::general) )

inline

Definition at line 258 of file error.hpp.

## exception() [2/2]

websocketpp::exception::exception | ( | lib::error_code | ec | ) |

inline explicit

Definition at line 262 of file error.hpp.

## ~exception()

websocketpp::exception::~exception | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 266 of file error.hpp.

## Member Function Documentation

## code()

lib::error_code websocketpp::exception::code | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 272 of file error.hpp.

## what()

virtual char const * websocketpp::exception::what | ( |  | ) | const
throw | ( | ) |  |  |

inline virtual

Definition at line 268 of file error.hpp.

## Member Data Documentation

## m_code

lib::error_code websocketpp::exception::m_code

Definition at line 277 of file error.hpp.

## m_msg

const std::string websocketpp::exception::m_msg

Definition at line 276 of file error.hpp.

The documentation for this class was generated from the following file:

- websocketpp/error.hpp